OBSYNC(1)

NAME
obsync - The object synchronizer tool

SYNOPSIS
obsync [ options ] source-url destination-url

DESCRIPTION

obsync is an object syncrhonizer tool designed to transfer objects between different object storage systems. Similar to rsync, you specify a source and a destination, and it will transfer objects between them until the destination has all the objects in the source. Obsync will never modify the source -- only the destination.

By default, obsync does not delete anything. However, by specifying --delete-after or --delete-before, you can ask it to delete objects from the destination that are not in the source.

TARGET TYPES

Obsync supports S3 via libboto. To use the s3 target, your URL should look like this: s3://host-name/bucket-name

Obsync supports storing files locally via the file:// target. To use the file target, your URL should look like this: file://directory-name

Alternately, give no prefix, like this: ./directory-name

Obsync supports storing files in a RADOS Gateway backend via the librados Python bindings. To use the rgw` target, your URL should look like this: ``rgw:ceph-configuration-path:rgw-bucket-name

OPTIONS

-h, --help
    Display a help message

-n, --dry-run
    Show what would be done, but do not modify the destination.

-c, --create-dest
    Create the destination if it does not exist.

--delete-before
    Before copying any files, delete objects in the destination that are not in the source.

-L, --follow-symlinks
    Follow symlinks when dealing with file:// targets.

--no-preserve-acls
    Don't preserve ACLs when copying objects.

-v, --verbose
    Be verbose.

-V, --more-verbose
    Be really, really verbose (developer mode)

-x SRC=DST, --xuser SRC=DST
    Set up a user translation. You can specify multiple user translations with multiple --xuser arguments.

--force
    Overwrite all destination objects, even if they appear to be the same as the source objects.

ENVIRONMENT VARIABLES

SRC_AKEY
    Access key for the source URL

SRC_SKEY
    Secret access key for the source URL

DST_AKEY
    Access key for the destination URL

DST_SKEY
    Secret access key for the destination URL

AKEY
    Access key for both source and dest

SKEY
    Secret access key for both source and dest

DST_CONSISTENCY
    Set to 'eventual' if the destination is eventually consistent. If the destination is eventually consistent, we may have to retry certain operations multiple times.

EXAMPLES

AKEY=... SKEY=... obsync -c -d -v ./backup-directory s3://myhost1/mybucket1

Copy objects from backup-directory to mybucket1 on myhost1:

SRC_AKEY=... SRC_SKEY=... DST_AKEY=... DST_SKEY=... obsync -c -d -v s3://myhost1/mybucket1 s3://myhost1/mybucket2

Copy objects from mybucket1 to mybucket2

AVAILABILITY

obsync is part of the Ceph distributed file system. Please refer to the Ceph wiki at http://ceph.newdream.net/wiki for more information.

COPYRIGHT
2011, New Dream Network